# Class RangeCategorySeries

java.lang.Object
com.codename1.charts.models.CategorySeries
com.codename1.charts.models.RangeCategorySeries

public class RangeCategorySeries extends CategorySeries
A series for the range category charts like the range bar.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RangeCategorySeries(String title)`
  Builds a new category series.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(double minValue, double maxValue)`
  Adds new values to the series
  `void`
  `add(String category, double minValue, double maxValue)`
  Adds new values to the series.
  `void`
  `clear()`
  Removes all the existing values from the series.
  `double`
  `getMaximumValue(int index)`
  Returns the maximum value at the specified index.
  `double`
  `getMinimumValue(int index)`
  Returns the minimum value at the specified index.
  `void`
  `remove(int index)`
  Removes existing values from the series.
  `XYSeries`
  `toXYSeries()`
  Transforms the range category series to an XY series.

  ### Methods inherited from class CategorySeries

  `add, add, getCategory, getItemCount, getTitle, getValue, set`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RangeCategorySeries

    public RangeCategorySeries(String title)

    Builds a new category series.

    ###### Parameters

    - `title`: the series title

- ## Method Details

  - ### add

    public void add(double minValue, double maxValue)

    Adds new values to the series

    ###### Parameters

    - `minValue`: the new minimum value

    - `maxValue`: the new maximum value

  - ### add

    public void add(String category, double minValue, double maxValue)

    Adds new values to the series.

    ###### Parameters

    - `category`: the category

    - `minValue`: the new minimum value

    - `maxValue`: the new maximum value

  - ### remove

    public void remove(int index)

    Removes existing values from the series.

    ###### Parameters

    - `index`: the index in the series of the values to remove
    Overrides:
      `remove` in class `CategorySeries`

  - ### clear

    public void clear()
    Removes all the existing values from the series.
    Overrides:
      `clear` in class `CategorySeries`

  - ### getMinimumValue

    public double getMinimumValue(int index)

    Returns the minimum value at the specified index.

    ###### Parameters

    - `index`: the index

    ###### Returns

    the minimum value at the index

  - ### getMaximumValue

    public double getMaximumValue(int index)

    Returns the maximum value at the specified index.

    ###### Parameters

    - `index`: the index

    ###### Returns

    the maximum value at the index

  - ### toXYSeries

    public XYSeries toXYSeries()

    Transforms the range category series to an XY series.

    ###### Returns

    the XY series

    Overrides:
      `toXYSeries` in class `CategorySeries`